#include "bbcreaMaracasVisuOpenImageDialog.h"
#include "bbcreaMaracasVisuPackage.h"

namespace bbcreaMaracasVisu
{

BBTK_ADD_BLACK_BOX_TO_PACKAGE(creaMaracasVisu,OpenImageDialog)
BBTK_BLACK_BOX_IMPLEMENTATION(OpenImageDialog,bbtk::AtomicBlackBox);
void OpenImageDialog::Process()
{
 
// THE MAIN PROCESSING METHOD BODY 
//   Here we simply set the input 'In' value to the output 'Out' 
//   And print out the output value 
// INPUT/OUTPUT ACCESSORS ARE OF THE FORM : 
//    void bbSet{Input|Output}NAME(const TYPE&) 
//    const TYPE& bbGet{Input|Output}NAME() const  
//    Where : 
//    * NAME is the name of the input/output 
//      (the one provided in the attribute 'name' of the tag 'input') 
//    * TYPE is the C++ type of the input/output 
//      (the one provided in the attribute 'type' of the tag 'input')


	creaMaracasVisuKernel::OpenImageDialog diag = creaMaracasVisuKernel::OpenImageDialog();



    bbSetOutputOut( diag.getImageData() ); 
    std::cout << "Output value = " <<bbGetOutputOut() << std::endl; 
  
}
void OpenImageDialog::bbUserSetDefaultValues()
{
 
//  SET HERE THE DEFAULT INPUT/OUTPUT VALUES OF YOUR BOX  
//    Here we initialize the input 'In' to 0 
  // bbSetInputIn(0); 
  
}
void OpenImageDialog::bbUserInitializeProcessing()
{
 
//  THE INITIALIZATION METHOD BODY : 
//    Here does nothing  
//    but this is where you should allocate the internal/output pointers  
//    if any  
 
  
}
void OpenImageDialog::bbUserFinalizeProcessing()
{
 
//  THE FINALIZATION METHOD BODY : 
//    Here does nothing  
//    but this is where you should desallocate the internal/output pointers  
//    if any 
  
}
}
// EO namespace bbcreaMaracasVisu


