#ifndef CutModelFigureCylinder_H_
#define CutModelFigureCylinder_H_

#include "CutModelFigure.h"
#include "vtkCylinderSource.h"

class CutModelFigureCylinder : public CutModelFigure
{
public:
	CutModelFigureCylinder();
	virtual ~CutModelFigureCylinder();
	virtual bool	IfPointInside(double x, double y, double z);
	virtual double	GetTheoricVolume();
	virtual vtkPolyData* getPolyData();
	virtual char *GetName();
	
private:
	vtkCylinderSource* _vtkcylinder;
protected:
};

#endif /*FIGURECUTTINGCYLINDERMODEL_H_*/
