
#ifndef MARDICTIONARY_H
#define MARDICTIONARY_H


#include <vector>


class marDictFrase{
public:
	marDictFrase(int id,char*frase);
	~marDictFrase();
	int		GetIdFrase();
	char*	GetFrase();
private:
	int		_idfrase;
	char	*_frase;
};




// Define a new application type, each program should derive a class from wxApp
class marDictionary {
public:
			marDictionary();
			~marDictionary();
	void	ResetDictionary();
	void	SetLanguage(int language);
	char*	GetString(int id);
	int		GetLanguage();
	bool	LoadDictionaryFile(char *dictionaryFileName);
	void	LoadDictionary_English();
	void	LoadDictionary_French();
	void	LoadDictionary_Japanese();

	void	FreeDictionary();


private:
			char						 _emptyStr[30];
	static	int							 _language;	
	static	std::vector<marDictFrase*>  *_frases;

			bool ExistFileDictionary(char *dictionaryFileName);
			void SetString(int id,char *ss);
};


#endif // MARDICTIONARY_H
