/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasImageBrowser.cxx,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include <wx/image.h>
#include "wxMaracasImageBrowser.h"
//----------------------------------------------------------------------------
wxMaracasImageBrowser::wxMaracasImageBrowser( wxFrame* parent, marInterface* mar, wxWindowID id )
    : wxPanel( parent, id, wxDefaultPosition, wxDefaultSize, wxTAB_TRAVERSAL )
{
//    _mar = mar;

    _view_image = new wxImageViewerWidgetRoi( this, -1 );
    //parent->GetToolBar()->EnableTool(ID_TOOLBAR_3D_BROWSER, _view_image->_bboxEnabled);

    wxBoxSizer* szTop = new wxBoxSizer( wxVERTICAL );
    szTop->Add( _view_image, 1, wxEXPAND | wxALL, 10 );
    SetAutoLayout( true );
    SetSizer( szTop );
    szTop->Fit( this );
    szTop->SetSizeHints( this );

}
//----------------------------------------------------------------------------
wxMaracasImageBrowser::~wxMaracasImageBrowser()
{
  delete _view_image;
//  delete szTop
}
//----------------------------------------------------------------------------
void wxMaracasImageBrowser::LoadData( vtkImageData *imagedata )
{

//    _mar->_dicom->loadActualSerie();
//    vtkImageData *dummy = _mar->_dicom->getVolume( )->castVtk();
    //float range[2];
    //dummy->GetScalarRange( range );

    _view_image->ConstructVTK( imagedata );
    //_view_image->ConstructVTK(  (vtkImageData *)_mar->_dicom->getVolume( ));
    //^ this is not working ??? I don't understand why, some VTK pipeline mystery
}
//----------------------------------------------------------------------------
void wxMaracasImageBrowser::GetROI( int ext[6] )
{
    _view_image->GetROI( ext );
}

// EOF - wxImageBrowser.cxx
