/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracas_ManualSegmentation_MPR.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__MANUAL__SEGMENTATION__MPR__HXX__
#define __WX__MARACAS__MANUAL__SEGMENTATION__MPR__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "vtkImageData.h"

#include "widgets/wxManualSegmentation_MPRWidget.h"
#include "kernel/marAxis.h"

class wxMaracas_ManualSegmentation_MPR : public wxPanel
{
public:
    wxMaracas_ManualSegmentation_MPR( wxWindow* parent, marImageData* marimagedata,double voxelSize);
    ~wxMaracas_ManualSegmentation_MPR( );
	void ConfigureVTK();
	vtkMPRBaseData		*GetVtkMPRBaseData();
	vtkPlane2DView		*GetVtkPlane2DView();

private:
	 wxManualSegmentation_MPRWidget* _MPR;	 
};




#endif // __WX__MARACAS__MANUAL__SEGMENTATION__MPR__HXX__

// EOF - wxMaracasMPR.h
