
#include "figureCuttingCubeModel.h"

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
figureCuttingCubeModel::figureCuttingCubeModel()
{
}
//----------------------------------------------------------------------------
figureCuttingCubeModel::~figureCuttingCubeModel()  // virtual
{
}
//----------------------------------------------------------------------------
bool figureCuttingCubeModel::IfPointInside(double x, double y, double z) // virtual
{
	double in[4],out[4];
	in[0]=x;
	in[1]=y;
	in[2]=z;
	in[3]=1;
	_inversModel->MultiplyPoint (in, out);

	bool result=false;
	if ((out[0]>-0.5) && (out[0]<0.5) && (out[1]>-0.5) && (out[1]<0.5)  && (out[2]>-0.5) && (out[2]<0.5)  )
	{
		result=true;
	}
	return result;
}
//----------------------------------------------------------------------------
double figureCuttingCubeModel::GetTheoricVolume() // virtual
{
	return _sx * _sy * _sz;
}

//----------------------------------------------------------------------------
const char *figureCuttingCubeModel::GetName() // virtual
{
	return "Cube";
}
