#ifndef manualViewLine_h
#define manualViewLine_h

#include "manualViewContour.h"


// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

// AD:02-09
class creaMaracasVisu_EXPORT manualViewLine: public manualViewContour
{
public:
	manualViewLine();
	virtual ~manualViewLine();

	virtual int GetType();
	virtual manualViewLine * Clone();
	void CopyAttributesTo( manualViewLine *cloneObject );

	virtual void InitMove(int x, int y, int z);
	virtual void MoveContour(int x, int y, int z);

private:
	double				_dp0[3];
	double				_dp1[3];
};

#endif // manualViewLine_h
