#ifndef manualViewRoi_h
#define manualViewRoi_h

#include "manualViewContour.h"
#include "manualPoint.h"

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

class creaMaracasVisu_EXPORT manualViewRoi: public manualViewContour
{
public:
	manualViewRoi();
	virtual ~manualViewRoi();

	virtual int GetType();
	virtual manualViewRoi * Clone();
	void CopyAttributesTo( manualViewRoi *cloneObject );

	virtual void RefreshContour();
	virtual bool ifTouchContour(int x,int y, int z);  
	virtual void InitMove(int x, int y, int z);
	virtual void MoveContour(int x, int y, int z);
	void GetMinMax(double &minX,double &minY, double &maxX, double &maxY);

private:
	double				_dp0[3];
	double				_dp1[3];
	double				_dp2[3];
	double				_dp3[3];
};

#endif // manualViewRoi_h
