#ifndef wxMaracasRenderImageManagementPanel_H_
#define wxMaracasRenderImageManagementPanel_H_

#include "wxMaracasRenderImageTransformation.h"

#include <wx/wx.h>
#include "creaMaracasVisu_EXPORT.h"

class creaMaracasVisu_EXPORT wxMaracasRenderImageManagementPanel : public wxDialog
{
public:

	wxMaracasRenderImageManagementPanel(wxWindow* parent, wxMaracasMultipleVolumeRendererManager* vol, wxMaracasSurfaceRenderingManager* surface1, 
		wxMaracasSurfaceRenderingManager* surface2, wxMaracasSurfaceRenderingManager* surface3, wxString title, int id);
	~wxMaracasRenderImageManagementPanel();

	void createControls();
	void Transform(wxCommandEvent& event);

private:

	wxSlider* sliderTranslateX;
	wxSlider* sliderTranslateY;
	wxSlider* sliderTranslateZ;

	wxSlider* sliderRotateX;
	wxSlider* sliderRotateY;
	wxSlider* sliderRotateZ;

	wxSlider* sliderScaleX;
	wxSlider* sliderScaleY;
	wxSlider* sliderScaleZ;

	wxMaracasRenderImageTransformation* wxtrasform;
};

#endif

