/*=========================================================================

 Program:   wxMaracas
 Module:    $RCSfile: marPoint.cpp,v $
 Language:  C++
 Date:      $Date: 2009/05/14 13:55:08 $
 Version:   $Revision: 1.1 $
 
  Copyright: (c) 2002, 2003
  License:
  
   This software is distributed WITHOUT ANY WARRANTY; without even 
   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
   PURPOSE.  See the above copyright notice for more information.
   
=========================================================================*/

#include "marPoint.h"

// ----------------------------------------------------------------------------
marPoint::marPoint(double x, double y) {
	this->x = x;
	this->y = y;
}

marPoint::~marPoint()
{

}

// ----------------------------------------------------------------------------
double marPoint::getX()
{
	return x;
}

// ----------------------------------------------------------------------------
double marPoint::getY()
{
	return y;
}

// ----------------------------------------------------------------------------
void marPoint::setPoint(double x, double y){
	this->x = x;
	this->y = y;
}

// ----------------------------------------------------------------------------
double marPoint::getGradient() {
	return gradient;
}

// ----------------------------------------------------------------------------
void marPoint::setGradient(double g) {
	gradient = g;
}

// ----------------------------------------------------------------------------
int marPoint::getDirection() {
	return dir;
}

// ----------------------------------------------------------------------------
bool marPoint::getInside() {
	return inside;
}

// ----------------------------------------------------------------------------
void marPoint::setDirection(int direction) {
	dir = direction;
}

// ----------------------------------------------------------------------------
void marPoint::setInside (bool ins) {
	inside = ins;
}

// ----------------------------------------------------------------------------
void marPoint::setIntensity(double intensity)
{
	this->intensity = intensity;
}

// ----------------------------------------------------------------------------
double marPoint::getIntensity()
{
	return intensity;
}

// ----------------------------------------------------------------------------
void marPoint::setType(int type)
{
	this->type = type;
}

// ----------------------------------------------------------------------------
int marPoint::getType()
{
	return type;
}

