/*=========================================================================

  */

#ifndef __MAR_IMAGE_DATA__h
#define __MAR_IMAGE_DATA__h
#include "marTypes.h"
#include <vector>

#include "vtkImageData.h"

class creaMaracasVisu_EXPORT marImageData
{
public:
	marImageData(vtkImageData *imagedata);
	~marImageData();

	void SetSpcOriginal(double spc[3]);
	void SetVoiOriginal(int voi[6]);
	void AddImageData(vtkImageData *imagedata);

	void removeImageData(int index);

	void GetSpcOriginal(double spc[3]);
	void GetVoiOriginal(int voi[6]);
	vtkImageData *GetImageData();
	vtkImageData *GetImageDataT(int t);
	int GetMaxT();

	int GetXOriginal(int value);
	int GetYOriginal(int value);
	int GetZOriginal(int value);

private:
	double						_spcOriginal[3];
	int							_voiOriginal[6];
	std::vector<vtkImageData *> _imagedataLST;
//	vtkImageData		*_imagedata;
protected:

};



#endif   //  __MAR_IMAGE_DATA__h


