#ifndef __bbcreaMaracasVisuOpenImageDialog_h_INCLUDED__
#define __bbcreaMaracasVisuOpenImageDialog_h_INCLUDED__
#include "bbcreaMaracasVisu_EXPORT.h"
#include "bbtkAtomicBlackBox.h"
#include "iostream"
#include "OpenImageDialog.h"

namespace bbcreaMaracasVisu
{

class bbcreaMaracasVisu_EXPORT OpenImageDialog
 : 
   public bbtk::AtomicBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(OpenImageDialog,bbtk::AtomicBlackBox);
  //BBTK_DECLARE_INPUT(In,double);
  BBTK_DECLARE_OUTPUT(Out,vtkImageData*);
  BBTK_PROCESS(Process);
  void Process();
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(OpenImageDialog,bbtk::AtomicBlackBox);
BBTK_NAME("OpenImageDialog");
BBTK_AUTHOR("juanprietob@gmail.com");
BBTK_DESCRIPTION("If Gimmicks");
BBTK_CATEGORY("read/write");
//BBTK_INPUT(OpenImageDialog,In,"First input",double,"");
BBTK_OUTPUT(OpenImageDialog,Out,"First output",vtkImageData*,"");
BBTK_END_DESCRIBE_BLACK_BOX(OpenImageDialog);
}
// EO namespace bbcreaMaracasVisu

#endif // __bbcreaMaracasVisuOpenImageDialog_h_INCLUDED__

