#ifndef CutModelFigureSphere_H_
#define CutModelFigureSphere_H_

#include "CutModelFigure.h"
#include "vtkSphereSource.h"

class CutModelFigureSphere : public CutModelFigure
{
public:
	CutModelFigureSphere();
	virtual ~CutModelFigureSphere();
	virtual bool IfPointInside(double x, double y, double z);
	virtual	double	GetTheoricVolume();
	virtual char *GetName();
	virtual vtkPolyData* getPolyData();
private:
	vtkSphereSource* _vtksphere;
protected:
};

#endif /*FIGURECUTTINGSPHEREMODEL_H_*/
