#ifndef __ExtractControlPoints2D_h_INCLUDED__
#define __ExtractControlPoints2D_h_INCLUDED__

#include "AutoControlPoints.h"
#include "marTypes.h"

class creaMaracasVisu_EXPORT ExtractControlPoints2D
{
	public:
			ExtractControlPoints2D	( );
			~ExtractControlPoints2D	( );
			void ResetControlPoints ( );
			void SetContour					( std::vector<double>*pInX,
											  std::vector<double>*pInY,
											  std::vector<double>*pInZ );
			void GetControlPoints			( std::vector<double>*pOutX,
											  std::vector<double>*pOutY,
											  std::vector<double>*pOutZ );
			void GetInitialControlPoints	( std::vector<double>*pOutX,
											  std::vector<double>*pOutY,
										   	  std::vector<double>*pOutZ );
			
			void SetSamplingControlPoints		( double val );
			void GetSamplingControlPoints		( std::vector<double>*pOutX,
												  std::vector<double>*pOutY,
												  std::vector<double>*pOutZ );
			void SetNumberOfSplineInterpolation ( double val);
	
	private:
			double _numinterspline;
			double _numsampling;
			std::vector<double> _InX;
			std::vector<double> _InY;
			std::vector<double> _InZ;
};

#endif
 
 
