#ifndef __vectorFunctions_h_INCLUDED__
#define __vectorFunctions_h_INCLUDED__
#include <vector>
#include "math.h"

class vectorFunctions
{
  public:

     vectorFunctions  ( );
	 ~vectorFunctions ( );
	 void   copyVector		( std::vector<double>*Vector1, 
							  std::vector<double>*Vector2  );
	 void	copyintVector  ( std::vector<int>*Vector1, 
                             std::vector<int>*Vector2 );
     void	printVector    ( std::vector<double>*Vector1,     
                             std::vector<double>*Vector2 );
	 double	promVector     ( std::vector<double>*Vector1, bool OnNormal );
	 int	maxVector      ( std::vector<double>*Vector1, double *val);
	 int	minVector      ( std::vector<double>*Vector1, double *val);
	 int	nearPoint      ( std::vector<double>*VectorX,        
                             std::vector<double>*VectorY, 
                             double px, double py );
	 int	findPointInLst ( std::vector<double>*vecX, 
                             std::vector<double>*vecY,
                             std::vector<double>*vecZ,
                             double x, double y, double z );
};

#endif
 
 
