/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasImageBrowser.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__IMAGE__BROWSER__
#define __WX__IMAGE__BROWSER__

#include <wx/wx.h>
#include <wx/imaglist.h>
#include <wx/panel.h>
#include <wx/listctrl.h>
#include <wx/splitter.h>

#include "widgets/wxImageViewerWidget.h"

#include <kernel/marInterface.h>

/**
 * \brief Panel class that show thumbnails images
 */
class wxMaracasImageBrowser : public wxPanel
{
public:
    wxMaracasImageBrowser( wxFrame* parent, marInterface* mar, wxWindowID id = -1 );
    ~wxMaracasImageBrowser();

    void LoadData( vtkImageData *imagedata);
    void GetROI( int ext[6] );

private:

    wxImageViewerWidgetRoi* _view_image;
    //marInterface* _mar;
};

#endif // __WX__IMAGE__BROWSER__

