/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasProcessingCT.cxx,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "wxMaracasProcessingCT.h"


wxMaracasProcessingCT::wxMaracasProcessingCT( wxWindow* parent, marInterfaceCT *mar )
: wxPanel( parent, -1, wxDefaultPosition, wxDefaultSize, wxTAB_TRAVERSAL)
{
  // Create the main frame window
  _processingCTWidget = new wxProcessingCTWidget( this, mar );
  wxBoxSizer* szTop = new wxBoxSizer( wxVERTICAL );
  szTop->Add( _processingCTWidget, 1  , wxALL|wxGROW , 0 );
//  szTop->Fit( this );
//  szTop->SetSizeHints( this );
  this->SetSizer( szTop );
  this->SetAutoLayout( true );
  this->Layout();
}
//----------------------------------------------------------------------------
wxMaracasProcessingCT::~wxMaracasProcessingCT( )
{
  // Nothing
}
//----------------------------------------------------------------------------
void wxMaracasProcessingCT::ConfigureVTK( marImageData *marimagedata, int x, int y, int z )
{
  _processingCTWidget->ConfigureVTK(marimagedata,  x,  y,  z );
}
//----------------------------------------------------------------------------
void wxMaracasProcessingCT::SetThreshold(int min,int max)
{
	_processingCTWidget->SetThreshold(min,max);
}
//----------------------------------------------------------------------------
void wxMaracasProcessingCT::GetThreshold(int *min,int *max)
{
	_processingCTWidget->GetThreshold(min,max);
}
//----------------------------------------------------------------------------
void wxMaracasProcessingCT::Refresh()
{
	_processingCTWidget->Refresh();
}
//----------------------------------------------------------------------------


// EOF - wxMaracasProcessingCT.cxx




