/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasProcessingCT.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__PROCESSING__CT__HXX__
#define __WX__MARACAS__PROCESSING__CT__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "vtkImageData.h"

#include "widgets/wxProcessingCTWidget.h"

class wxMaracasProcessingCT : public wxPanel
{
public:
    wxMaracasProcessingCT( wxWindow* parent, marInterfaceCT *mar);
    ~wxMaracasProcessingCT( );
	void ConfigureVTK(marImageData *marimagedata, int x, int y, int z);

	void SetThreshold(int min	,int max);
	void GetThreshold(int *min	,int *max);

	void Refresh();

private:
	 wxProcessingCTWidget* _processingCTWidget;
};

#endif // __WX__MARACAS__PROCESSING__CT__HXX__

// EOF - wxMaracasProcessingCT.h
