/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracas_ManualTree_MPRDlg.h,v $
  Language:  C++
  Date:      $Date: 2009/05/19 11:17:26 $
  Version:   $Revision: 1.2 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__MANUAL__TREE__MPRDLG__HXX__
#define __WX__MARACAS__MANUAL__TREE__MPRDLG__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "vtkImageData.h"

#include "wxMaracas_ManualTree_MPR.h"
#include "manualContourModel.h"
#include "kernel/marAxis.h"


class wxMaracas_ManualTree_MPRDlg : public wxDialog
{
public:
    wxMaracas_ManualTree_MPRDlg(wxWindow* parent,marImageData *marimageData,double voxelSize);
	~wxMaracas_ManualTree_MPRDlg( );
	void ConfigureVTK();
	void SetMarAxis( marAxis *maraxis  );
	bool ExportPoints();
private:
	wxWindow					*_parent;
	wxMaracas_ManualTree_MPR	*_manualTreeMPR;
	marAxis						*_maraxis;

protected:
};




#endif // __WX__MARACAS__MANUAL__TREE__MPRDLG__HXX__

