#ifndef INTERACTORSTYLEMARACAS_H_
#define INTERACTORSTYLEMARACAS_H_


#include "marTypes.h"
//------------------------------------------------------------------

#include "vtkInteractorStyleBaseView.h"

//class vtkInteractorStyleBaseView;


class creaMaracasVisu_EXPORT InteractorStyleMaracas 
{
public:
	InteractorStyleMaracas();
	virtual ~InteractorStyleMaracas();

	virtual InteractorStyleMaracas * Clone();
	void CopyAttributesTo( InteractorStyleMaracas *cloneObject );


	virtual bool  OnChar();
	virtual bool  OnMouseMove();
	virtual bool  OnLeftButtonDown(); 
	virtual bool  OnLeftButtonUp();
	virtual bool  OnMiddleButtonDown(); 
	virtual bool  OnMiddleButtonUp();
	virtual bool  OnRightButtonDown();
	virtual bool  OnRightButtonUp();

	virtual bool  OnLeftDClick();
	virtual	bool  OnRightDClick();   
	virtual	bool  OnMiddleDClick();  
	virtual	bool  OnMouseWheel();    

	void  SetVtkInteractorStyleBaseView(vtkInteractorStyleBaseView* _vtkInteractorStyleBaseView);	
	void  RemoveVtkInteractorStyleBaseView();
	
	void SetActive(bool active);
	bool GetActive();

protected:
	
	vtkInteractorStyleBaseView* _vtkInteractorStyleBaseView;	 
	//vtkInteractorStyleImage* _vtkInteractorStyleBaseView;
	
private:
	bool						_active;
};

#endif /*INTERACTORSTYLEMARACAS_H_*/
