#ifndef manualContour3VControler_h
#define manualContour3VControler_h

#include "manualContourControler.h"

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

class creaMaracasVisu_EXPORT manualContour3VControler:  public manualContourControler
{
public:
	manualContour3VControler(int type);
	virtual ~manualContour3VControler();
	virtual manualContour3VControler * Clone();
	void CopyAttributesTo( manualContour3VControler *cloneObject );

	virtual bool	OnChar();   	
	virtual void	AddPoint(int x, int y, int z);
	virtual void	InsertPoint(int x, int y, int z);
	virtual void	MouseMove(int x, int y);
	virtual void	ResetContour();

	void AddManualViewBaseContour( manualViewBaseContour *manViewBaseCont );

	vtkMPRBaseData	*GetVtkMPRBaseData();
			void	SetVtkMPRBaseData (vtkMPRBaseData *vtkmprbasedata );
	virtual void	SetPoint( int id ,int x ,int y ,int z );

	virtual void	DeleteActualMousePoint(int x, int y);

			void	AddPoint_Others();
			void	DeleteActualMousePoint_Others(int id);
			void	MouseMove_Others(int id);
			void	InsertPoint_Others(int id);
			void	OnChar_Others();
			void	ResetContour_Others();
			int		GetType();

private:
	int _type;

	vtkMPRBaseData		  *_vtkmprbasedata; 

	std::vector< manualViewBaseContour* > _lstManualViewBaseContour;
};


#endif // manualContour3VControler_h
