#ifndef manualView3DContour_h
#define manualView3DContour_h

#include "manualViewContour.h"

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

class manualView3DContour: public manualViewContour
{
public:
	manualView3DContour();
	virtual ~manualView3DContour();
	virtual manualView3DContour * Clone();
	void CopyAttributesTo( manualView3DContour *cloneObject );

	virtual void	TransfromCoordViewWorld(double &X, double &Y, double &Z, int type);
			void	SetVtkMPRBaseData(vtkMPRBaseData *vtkmprbasedata);

	virtual int		SelectPosiblePoint ( int x, int y, int z );  	
			void	SetDimensions(int w, int h, int d);

			int		GetIdPoint2(int x, int y);

protected:
	vtkMPRBaseData	*_vtkmprbasedata;
private:
	int _w;
	int _h;
	int _d;

};


#endif // manualView3DContour_h
